--
-- PostgreSQL database dump
--

-- Started on 2008-05-13 19:43:36 CEST

SET client_encoding = 'UTF8';
SET standard_conforming_strings = off;
SET check_function_bodies = false;
SET client_min_messages = warning;
SET escape_string_warning = off;

SET search_path = public, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- TOC entry 1563 (class 1259 OID 20335)
-- Dependencies: 1875 6
-- Name: activity; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE activity (
    id bigint NOT NULL,
    hours double precision,
    attendanceentryid bigint,
    projectactivitydefinitionid integer,
    activitytypeid integer,
    CONSTRAINT activity_hours_check CHECK ((hours <= (24)::double precision))
);


--
-- TOC entry 1564 (class 1259 OID 20341)
-- Dependencies: 6
-- Name: activitytype; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE activitytype (
    id integer NOT NULL,
    label character varying(255),
    productivity integer NOT NULL
);


--
-- TOC entry 1565 (class 1259 OID 20346)
-- Dependencies: 6
-- Name: attendanceentry; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE attendanceentry (
    id bigint NOT NULL,
    type integer,
    date timestamp without time zone,
    lock integer NOT NULL,
    employeeid integer
);


--
-- TOC entry 1566 (class 1259 OID 20351)
-- Dependencies: 6
-- Name: attendancemonth; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE attendancemonth (
    id bigint NOT NULL,
    type integer NOT NULL,
    date timestamp without time zone NOT NULL,
    lock integer NOT NULL,
    holidayfillingenabled boolean NOT NULL,
    employeeid integer NOT NULL
);


--
-- TOC entry 1567 (class 1259 OID 20356)
-- Dependencies: 6
-- Name: businessmonth; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE businessmonth (
    id integer NOT NULL,
    hours integer NOT NULL,
    startdate timestamp without time zone,
    calendarmonth timestamp without time zone,
    enddate timestamp without time zone
);


--
-- TOC entry 1568 (class 1259 OID 20361)
-- Dependencies: 6
-- Name: businesstrip; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE businesstrip (
    id character varying(255) NOT NULL,
    startdate timestamp without time zone,
    enddate timestamp without time zone,
    purpose character varying(255),
    contractid bigint,
    countryid integer
);


--
-- TOC entry 1569 (class 1259 OID 20369)
-- Dependencies: 6
-- Name: contract; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE contract (
    id bigint NOT NULL,
    startdate timestamp without time zone NOT NULL,
    title character varying(255),
    enddate timestamp without time zone,
    projectid integer NOT NULL,
    organizationunitid integer,
    contractclassid integer NOT NULL
);


--
-- TOC entry 1570 (class 1259 OID 20374)
-- Dependencies: 6
-- Name: contractclass; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE contractclass (
    id integer NOT NULL,
    label character varying(255) NOT NULL
);


--
-- TOC entry 1571 (class 1259 OID 20379)
-- Dependencies: 6
-- Name: costsdepartment; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE costsdepartment (
    id integer NOT NULL,
    name character varying(255)
);


--
-- TOC entry 1572 (class 1259 OID 20384)
-- Dependencies: 6
-- Name: costsdepartmentchange; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE costsdepartmentchange (
    id integer NOT NULL,
    modifydate timestamp without time zone,
    organizationunitid integer,
    costsdepartmentid integer
);


--
-- TOC entry 1573 (class 1259 OID 20389)
-- Dependencies: 6
-- Name: country; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE country (
    id integer NOT NULL,
    name character varying(255)
);


--
-- TOC entry 1574 (class 1259 OID 20394)
-- Dependencies: 6
-- Name: customer; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE customer (
    id bigint NOT NULL,
    name character varying(255) NOT NULL
);


--
-- TOC entry 1575 (class 1259 OID 20399)
-- Dependencies: 6
-- Name: document; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE document (
    id integer NOT NULL,
    name character varying(255) NOT NULL,
    date timestamp without time zone,
    link character varying(255) NOT NULL,
    employeeid integer NOT NULL,
    documenttypeid integer NOT NULL
);


--
-- TOC entry 1576 (class 1259 OID 20407)
-- Dependencies: 6
-- Name: documenttype; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE documenttype (
    id integer NOT NULL,
    label character varying(255) NOT NULL
);


--
-- TOC entry 1562 (class 1259 OID 17653)
-- Dependencies: 6
-- Name: dual_activityidseq; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE dual_activityidseq (
    zero integer
);


--
-- TOC entry 1577 (class 1259 OID 20412)
-- Dependencies: 6
-- Name: employee; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE employee (
    id integer NOT NULL,
    address character varying(255),
    name character varying(255),
    password character varying(20),
    personalnumber character varying(255),
    surname character varying(255),
    login character varying(10),
    phoneno character varying(255),
    email character varying(255),
    extensionno character varying(255),
    faxno character varying(255),
    mobileno character varying(255),
    groupid character varying(255),
    company character varying(255),
    gendertypeid integer NOT NULL
);


--
-- TOC entry 1580 (class 1259 OID 20433)
-- Dependencies: 6
-- Name: employee_businesstrip; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE employee_businesstrip (
    employees_id integer NOT NULL,
    businesstrips_id character varying(255) NOT NULL
);


--
-- TOC entry 1581 (class 1259 OID 20436)
-- Dependencies: 6
-- Name: employee_hardwareequipment; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE employee_hardwareequipment (
    employees_id integer NOT NULL,
    hardwareequipment_id integer NOT NULL
);


--
-- TOC entry 1582 (class 1259 OID 20439)
-- Dependencies: 6
-- Name: employee_skill; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE employee_skill (
    employee_id integer NOT NULL,
    skills_id integer NOT NULL
);


--
-- TOC entry 1578 (class 1259 OID 20420)
-- Dependencies: 6
-- Name: employeeidentity; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE employeeidentity (
    id integer NOT NULL,
    address character varying(255),
    surname character varying(255),
    validfrom timestamp without time zone,
    employeeid integer
);


--
-- TOC entry 1579 (class 1259 OID 20428)
-- Dependencies: 6
-- Name: employeeskill; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE employeeskill (
    id integer NOT NULL,
    skillrelationshiptypeid integer NOT NULL,
    skillid integer NOT NULL,
    skillleveltypeid integer NOT NULL
);


--
-- TOC entry 1583 (class 1259 OID 20444)
-- Dependencies: 6
-- Name: gendertype; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE gendertype (
    id integer NOT NULL,
    i18nkey character varying(255) NOT NULL
);


--
-- TOC entry 1584 (class 1259 OID 20449)
-- Dependencies: 6
-- Name: hardwareequipment; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE hardwareequipment (
    id integer NOT NULL,
    description character varying(255),
    note character varying(255),
    label character varying(255),
    purchasedate timestamp without time zone,
    removed boolean NOT NULL
);


--
-- TOC entry 1585 (class 1259 OID 20457)
-- Dependencies: 6
-- Name: hardwareequipmentchange; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE hardwareequipmentchange (
    id integer NOT NULL,
    description character varying(255),
    note character varying(255),
    modifydate timestamp without time zone,
    employeeid integer,
    hardwareid integer
);


--
-- TOC entry 1586 (class 1259 OID 20465)
-- Dependencies: 6
-- Name: note; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE note (
    id bigint NOT NULL,
    text character varying(255),
    employeeid integer,
    projectid integer,
    projectassignmentid integer,
    authorid integer
);


--
-- TOC entry 1587 (class 1259 OID 20470)
-- Dependencies: 6
-- Name: organizationunit; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE organizationunit (
    id integer NOT NULL,
    name character varying(255),
    logindomain character varying(255),
    unittypeid integer,
    superiorunitid integer
);


--
-- TOC entry 1588 (class 1259 OID 20478)
-- Dependencies: 6
-- Name: organizationunittype; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE organizationunittype (
    id integer NOT NULL,
    label character varying(255),
    virtual boolean NOT NULL
);


--
-- TOC entry 1589 (class 1259 OID 20483)
-- Dependencies: 6
-- Name: project; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE project (
    id integer NOT NULL,
    name character varying(255) NOT NULL,
    organizationunitid integer NOT NULL,
    customerid bigint NOT NULL
);


--
-- TOC entry 1590 (class 1259 OID 20488)
-- Dependencies: 6
-- Name: projectactivitydefinition; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE projectactivitydefinition (
    id integer NOT NULL,
    projectactivitytypeid bigint NOT NULL,
    contractid bigint NOT NULL
);


--
-- TOC entry 1591 (class 1259 OID 20493)
-- Dependencies: 6
-- Name: projectactivitytype; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE projectactivitytype (
    id bigint NOT NULL,
    code character varying(6) NOT NULL
);


--
-- TOC entry 1592 (class 1259 OID 20498)
-- Dependencies: 6
-- Name: projectassignment; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE projectassignment (
    id integer NOT NULL,
    dateto timestamp without time zone NOT NULL,
    datefrom timestamp without time zone NOT NULL,
    projectactivitydefinitionid integer NOT NULL,
    employeeid integer NOT NULL
);


--
-- TOC entry 1593 (class 1259 OID 20503)
-- Dependencies: 6
-- Name: role; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE role (
    id integer NOT NULL,
    type integer,
    dateto timestamp without time zone,
    datefrom timestamp without time zone,
    employeeid integer,
    organizationunitid integer
);


--
-- TOC entry 1594 (class 1259 OID 20508)
-- Dependencies: 6
-- Name: room; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE room (
    id integer NOT NULL,
    label character varying(255) NOT NULL,
    organizationunitid integer
);


--
-- TOC entry 1595 (class 1259 OID 20513)
-- Dependencies: 6
-- Name: salary; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE salary (
    id integer NOT NULL,
    currency character varying(255),
    note character varying(255),
    paymentdate timestamp without time zone,
    amount double precision NOT NULL,
    salarytypeid integer,
    employeeid integer
);


--
-- TOC entry 1596 (class 1259 OID 20521)
-- Dependencies: 6
-- Name: salarychange; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE salarychange (
    id integer NOT NULL,
    note character varying(255),
    modifydate timestamp without time zone,
    oldsum double precision NOT NULL,
    newsum double precision NOT NULL,
    salaryid integer,
    employeeid integer
);


--
-- TOC entry 1597 (class 1259 OID 20526)
-- Dependencies: 6
-- Name: salarytype; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE salarytype (
    id integer NOT NULL,
    label character varying(255)
);


--
-- TOC entry 1598 (class 1259 OID 20531)
-- Dependencies: 6
-- Name: skill; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE skill (
    id integer NOT NULL,
    name character varying(255) NOT NULL,
    categoryid integer NOT NULL
);


--
-- TOC entry 1599 (class 1259 OID 20536)
-- Dependencies: 6
-- Name: skillcategory; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE skillcategory (
    id integer NOT NULL,
    name character varying(255) NOT NULL
);


--
-- TOC entry 1600 (class 1259 OID 20541)
-- Dependencies: 6
-- Name: skillleveltype; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE skillleveltype (
    id integer NOT NULL,
    i18nkey character varying(255) NOT NULL
);


--
-- TOC entry 1601 (class 1259 OID 20546)
-- Dependencies: 6
-- Name: skillrelationshiptype; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE skillrelationshiptype (
    id integer NOT NULL,
    i18nkey character varying(255) NOT NULL
);


--
-- TOC entry 1602 (class 1259 OID 20551)
-- Dependencies: 6
-- Name: specialrate; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE specialrate (
    id integer NOT NULL,
    value double precision NOT NULL,
    dateto timestamp without time zone NOT NULL,
    datefrom timestamp without time zone NOT NULL,
    projectactivitydefinitionid integer NOT NULL
);


--
-- TOC entry 1603 (class 1259 OID 20556)
-- Dependencies: 6
-- Name: standardrate; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE standardrate (
    id integer NOT NULL,
    value double precision NOT NULL,
    datefrom timestamp without time zone NOT NULL,
    contractclassid integer NOT NULL,
    projectactivitytypeid bigint NOT NULL
);


--
-- TOC entry 1604 (class 1259 OID 20561)
-- Dependencies: 6
-- Name: travelinsurance; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE travelinsurance (
    id integer NOT NULL,
    dateto timestamp without time zone,
    datefrom timestamp without time zone,
    company character varying(255),
    employeeid integer
);


--
-- TOC entry 1605 (class 1259 OID 20566)
-- Dependencies: 6
-- Name: workassignment; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE workassignment (
    id bigint NOT NULL,
    normalhours double precision NOT NULL,
    halfovertimehours double precision NOT NULL,
    fullovertimehours double precision NOT NULL,
    businessmonthid integer,
    projectactivitydefinitionid integer,
    activitytypeid integer,
    employeeid integer
);


--
-- TOC entry 1606 (class 1259 OID 20571)
-- Dependencies: 6
-- Name: workplace; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE workplace (
    id integer NOT NULL,
    description character varying(255),
    note character varying(255),
    label character varying(255),
    removed boolean NOT NULL,
    rent double precision NOT NULL,
    capacity integer NOT NULL,
    roomid integer
);


--
-- TOC entry 1607 (class 1259 OID 20579)
-- Dependencies: 6
-- Name: workplaceassignment; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE workplaceassignment (
    id integer NOT NULL,
    datefrom timestamp without time zone,
    workplaceid integer,
    employeeid integer
);


--
-- TOC entry 1608 (class 1259 OID 20874)
-- Dependencies: 6
-- Name: hibernate_sequence; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE hibernate_sequence
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2071 (class 0 OID 0)
-- Dependencies: 1608
-- Name: hibernate_sequence; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('hibernate_sequence', 1, false);


--
-- TOC entry 2021 (class 0 OID 20335)
-- Dependencies: 1563
-- Data for Name: activity; Type: TABLE DATA; Schema: public; Owner: -
--



--
-- TOC entry 2022 (class 0 OID 20341)
-- Dependencies: 1564
-- Data for Name: activitytype; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO activitytype (id, label, productivity) VALUES (1, 'codelist.activityType.label.projectWork', 1);
INSERT INTO activitytype (id, label, productivity) VALUES (2, 'codelist.activityType.label.projectWorkHalfovertime', 2);
INSERT INTO activitytype (id, label, productivity) VALUES (3, 'codelist.activityType.label.projectWorkFullovertime', 3);
INSERT INTO activitytype (id, label, productivity) VALUES (4, 'codelist.activityType.label.vacationNotPaid', 0);
INSERT INTO activitytype (id, label, productivity) VALUES (5, 'codelist.activityType.label.doctorVisit', 0);
INSERT INTO activitytype (id, label, productivity) VALUES (6, 'codelist.activityType.label.childDoctorVisit', 0);
INSERT INTO activitytype (id, label, productivity) VALUES (7, 'codelist.activityType.label.vacationPaid', 0);
INSERT INTO activitytype (id, label, productivity) VALUES (8, 'codelist.activityType.label.publicWork', 0);
INSERT INTO activitytype (id, label, productivity) VALUES (9, 'codelist.activityType.label.familyMemberTreatment', 0);
INSERT INTO activitytype (id, label, productivity) VALUES (10, 'codelist.activityType.label.studyLeavePaid', 0);
INSERT INTO activitytype (id, label, productivity) VALUES (11, 'codelist.activityType.label.vacationRecreational', 0);
INSERT INTO activitytype (id, label, productivity) VALUES (12, 'codelist.activityType.label.extraordinaryVacationNotPaid', 0);
INSERT INTO activitytype (id, label, productivity) VALUES (13, 'codelist.activityType.label.unexcusedAbsence', 0);
INSERT INTO activitytype (id, label, productivity) VALUES (14, 'codelist.activityType.label.substitutiveVacation', 0);


--
-- TOC entry 2023 (class 0 OID 20346)
-- Dependencies: 1565
-- Data for Name: attendanceentry; Type: TABLE DATA; Schema: public; Owner: -
--



--
-- TOC entry 2024 (class 0 OID 20351)
-- Dependencies: 1566
-- Data for Name: attendancemonth; Type: TABLE DATA; Schema: public; Owner: -
--



--
-- TOC entry 2025 (class 0 OID 20356)
-- Dependencies: 1567
-- Data for Name: businessmonth; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO businessmonth (id, hours, startdate, calendarmonth, enddate) VALUES (1, 214, '2008-01-01 00:00:00', '2008-01-01 00:00:00', '2008-01-31 00:00:00');
INSERT INTO businessmonth (id, hours, startdate, calendarmonth, enddate) VALUES (2, 200, '2008-02-01 00:00:00', '2008-02-01 00:00:00', '2008-02-27 00:00:00');
INSERT INTO businessmonth (id, hours, startdate, calendarmonth, enddate) VALUES (3, 150, '2008-03-06 00:00:00', '2008-03-01 00:00:00', '2008-03-30 00:00:00');
INSERT INTO businessmonth (id, hours, startdate, calendarmonth, enddate) VALUES (4, 180, '2008-04-01 00:00:00', '2008-04-01 00:00:00', '2008-04-30 00:00:00');
INSERT INTO businessmonth (id, hours, startdate, calendarmonth, enddate) VALUES (5, 176, '2008-05-02 00:00:00', '2008-05-01 00:00:00', '2008-05-31 00:00:00');
INSERT INTO businessmonth (id, hours, startdate, calendarmonth, enddate) VALUES (6, 214, '2008-06-01 00:00:00', '2008-06-01 00:00:00', '2008-06-29 00:00:00');
INSERT INTO businessmonth (id, hours, startdate, calendarmonth, enddate) VALUES (7, 222, '2008-07-02 00:00:00', '2008-07-01 00:00:00', '2008-07-30 00:00:00');
INSERT INTO businessmonth (id, hours, startdate, calendarmonth, enddate) VALUES (8, 200, '2008-08-01 00:00:00', '2008-08-01 00:00:00', '2008-08-31 00:00:00');
INSERT INTO businessmonth (id, hours, startdate, calendarmonth, enddate) VALUES (9, 109, '2008-09-01 00:00:00', '2008-09-01 00:00:00', '2008-09-25 00:00:00');
INSERT INTO businessmonth (id, hours, startdate, calendarmonth, enddate) VALUES (10, 187, '2008-10-01 00:00:00', '2008-10-01 00:00:00', '2008-10-30 00:00:00');
INSERT INTO businessmonth (id, hours, startdate, calendarmonth, enddate) VALUES (11, 210, '2008-11-01 00:00:00', '2008-11-01 00:00:00', '2008-11-30 00:00:00');
INSERT INTO businessmonth (id, hours, startdate, calendarmonth, enddate) VALUES (12, 90, '2008-12-01 00:00:00', '2008-12-01 00:00:00', '2008-12-22 00:00:00');


--
-- TOC entry 2026 (class 0 OID 20361)
-- Dependencies: 1568
-- Data for Name: businesstrip; Type: TABLE DATA; Schema: public; Owner: -
--



--
-- TOC entry 2027 (class 0 OID 20369)
-- Dependencies: 1569
-- Data for Name: contract; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO contract (id, startdate, title, enddate, projectid, organizationunitid, contractclassid) VALUES (1, '2007-01-01 00:00:00', 'Zmluva c. 1', '2008-01-01 00:00:00', 1, 1, 1);
INSERT INTO contract (id, startdate, title, enddate, projectid, organizationunitid, contractclassid) VALUES (2, '2008-01-01 00:00:00', 'Zmluva c. 2', NULL, 1, 2, 2);
INSERT INTO contract (id, startdate, title, enddate, projectid, organizationunitid, contractclassid) VALUES (3, '2007-12-05 00:00:00', 'Zmluva c. 3', '2008-05-19 00:00:00', 2, 3, 3);
INSERT INTO contract (id, startdate, title, enddate, projectid, organizationunitid, contractclassid) VALUES (4, '2004-11-01 00:00:00', 'Zmluva c. 4', '2008-01-10 00:00:00', 3, 1, 4);
INSERT INTO contract (id, startdate, title, enddate, projectid, organizationunitid, contractclassid) VALUES (5, '2007-01-15 00:00:00', 'Zmluva c. 5', '2008-05-19 00:00:00', 4, 2, 5);


--
-- TOC entry 2028 (class 0 OID 20374)
-- Dependencies: 1570
-- Data for Name: contractclass; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO contractclass (id, label) VALUES (1, 'Trieda 1');
INSERT INTO contractclass (id, label) VALUES (2, 'Trieda 2');
INSERT INTO contractclass (id, label) VALUES (3, 'Trieda 3');
INSERT INTO contractclass (id, label) VALUES (4, 'Trieda 4');
INSERT INTO contractclass (id, label) VALUES (5, 'Trieda 5');
INSERT INTO contractclass (id, label) VALUES (6, 'Trieda 6');
INSERT INTO contractclass (id, label) VALUES (7, 'Trieda 7');
INSERT INTO contractclass (id, label) VALUES (8, 'Trieda 8');
INSERT INTO contractclass (id, label) VALUES (9, 'Trieda 9');


--
-- TOC entry 2029 (class 0 OID 20379)
-- Dependencies: 1571
-- Data for Name: costsdepartment; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO costsdepartment (id, name) VALUES (1, 'Prva nakladova stredisko');
INSERT INTO costsdepartment (id, name) VALUES (2, 'Druha nakladova stredisko');
INSERT INTO costsdepartment (id, name) VALUES (3, 'Tretie nakladova stredisko');
INSERT INTO costsdepartment (id, name) VALUES (4, 'Stvrte nakladove stredisko');


--
-- TOC entry 2030 (class 0 OID 20384)
-- Dependencies: 1572
-- Data for Name: costsdepartmentchange; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO costsdepartmentchange (id, modifydate, organizationunitid, costsdepartmentid) VALUES (1, '2007-01-01 00:00:00', 1, 1);
INSERT INTO costsdepartmentchange (id, modifydate, organizationunitid, costsdepartmentid) VALUES (2, '2007-01-01 00:00:00', 2, 2);
INSERT INTO costsdepartmentchange (id, modifydate, organizationunitid, costsdepartmentid) VALUES (3, '2008-01-01 00:00:00', 3, 3);
INSERT INTO costsdepartmentchange (id, modifydate, organizationunitid, costsdepartmentid) VALUES (4, '2008-01-01 00:00:00', 1, 4);
INSERT INTO costsdepartmentchange (id, modifydate, organizationunitid, costsdepartmentid) VALUES (5, '2008-01-01 00:00:00', 2, 1);
INSERT INTO costsdepartmentchange (id, modifydate, organizationunitid, costsdepartmentid) VALUES (6, '2008-01-01 00:00:00', 3, 2);


--
-- TOC entry 2031 (class 0 OID 20389)
-- Dependencies: 1573
-- Data for Name: country; Type: TABLE DATA; Schema: public; Owner: -
--



--
-- TOC entry 2032 (class 0 OID 20394)
-- Dependencies: 1574
-- Data for Name: customer; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO customer (id, name) VALUES (1, 'Prvy zakaznik');
INSERT INTO customer (id, name) VALUES (2, 'Druhy zakaznik');
INSERT INTO customer (id, name) VALUES (3, 'Treti zakaznik');


--
-- TOC entry 2033 (class 0 OID 20399)
-- Dependencies: 1575
-- Data for Name: document; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO document (id, name, date, link, employeeid, documenttypeid) VALUES (1, 'CV - slovensky', '2008-02-20 00:00:00', '\\docs_servercvcv1.doc', 1, 1);
INSERT INTO document (id, name, date, link, employeeid, documenttypeid) VALUES (2, 'CV - slovensky', '2008-02-20 00:00:00', '\\docs_servercvcv2.doc', 2, 1);
INSERT INTO document (id, name, date, link, employeeid, documenttypeid) VALUES (3, 'CV - slovensky', '2008-02-20 00:00:00', '\\docs_servercvcv3.doc', 3, 1);
INSERT INTO document (id, name, date, link, employeeid, documenttypeid) VALUES (4, 'CV - slovensky', '2008-02-20 00:00:00', '\\docs_servercvcv4.doc', 4, 1);
INSERT INTO document (id, name, date, link, employeeid, documenttypeid) VALUES (5, 'CV - slovensky', '2008-02-20 00:00:00', '\\docs_servercvcv5.doc', 5, 1);
INSERT INTO document (id, name, date, link, employeeid, documenttypeid) VALUES (6, 'CV - slovensky', '2008-02-20 00:00:00', '\\docs_servercvcv6.doc', 6, 1);
INSERT INTO document (id, name, date, link, employeeid, documenttypeid) VALUES (7, 'Check-up 1', '2008-03-03 00:00:00', '\\docs_servercheckupcheckup1.doc', 1, 2);
INSERT INTO document (id, name, date, link, employeeid, documenttypeid) VALUES (8, 'Check-up 1', '2008-03-03 00:00:00', '\\docs_servercheckupcheckup2.doc', 2, 2);
INSERT INTO document (id, name, date, link, employeeid, documenttypeid) VALUES (9, 'Check-up 1', '2008-03-03 00:00:00', '\\docs_servercheckupcheckup3.doc', 3, 2);
INSERT INTO document (id, name, date, link, employeeid, documenttypeid) VALUES (10, 'Check-up 1', '2008-03-03 00:00:00', '\\docs_servercheckupcheckup4.doc', 4, 2);
INSERT INTO document (id, name, date, link, employeeid, documenttypeid) VALUES (11, 'Check-up 1', '2008-03-03 00:00:00', '\\docs_servercheckupcheckup5.doc', 5, 2);
INSERT INTO document (id, name, date, link, employeeid, documenttypeid) VALUES (12, 'Check-up 1', '2008-03-03 00:00:00', '\\docs_servercheckupcheckup6.doc', 6, 2);


--
-- TOC entry 2034 (class 0 OID 20407)
-- Dependencies: 1576
-- Data for Name: documenttype; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO documenttype (id, label) VALUES (1, 'Curriculum Vitae');
INSERT INTO documenttype (id, label) VALUES (2, 'Check-up');


--
-- TOC entry 2020 (class 0 OID 17653)
-- Dependencies: 1562
-- Data for Name: dual_activityidseq; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO dual_activityidseq (zero) VALUES (0);
INSERT INTO dual_activityidseq (zero) VALUES (0);


--
-- TOC entry 2035 (class 0 OID 20412)
-- Dependencies: 1577
-- Data for Name: employee; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO employee (id, address, name, password, personalnumber, surname, login, phoneno, email, extensionno, faxno, mobileno, groupid, company, gendertypeid) VALUES (1, NULL, 'Marian', 'majo', '1234', 'Gablovsky', 'majo', '+421 904 167 664', 'xyolian@gmail.com', '4256', '542 145 54', '0963 788977', '1254', 'Siemens PSE', 1);
INSERT INTO employee (id, address, name, password, personalnumber, surname, login, phoneno, email, extensionno, faxno, mobileno, groupid, company, gendertypeid) VALUES (2, NULL, 'Matus', 'matus', '2200', 'Korman', 'matus', '+421 904 142 242', 'mkorman@zmail.sk', '4259', '542 145 54', '0963 788970', '1254', 'Siemens PSE', 1);
INSERT INTO employee (id, address, name, password, personalnumber, surname, login, phoneno, email, extensionno, faxno, mobileno, groupid, company, gendertypeid) VALUES (3, NULL, 'Marko', 'marko', '1759', 'Diveky', 'marko', '+421 907 384 071', 'markod@nextra.sk', '4257', '542 145 54', '0963 788979', '1254', 'Siemens PSE', 1);
INSERT INTO employee (id, address, name, password, personalnumber, surname, login, phoneno, email, extensionno, faxno, mobileno, groupid, company, gendertypeid) VALUES (4, NULL, 'Jakub', 'jakub', '1668', 'Kozisek', 'jakub', '+421 903 323 432', 'jakub.kozisek@gmail.com', '4255', '542 145 54', '0963 788978', '1254', 'Siemens PSE', 1);
INSERT INTO employee (id, address, name, password, personalnumber, surname, login, phoneno, email, extensionno, faxno, mobileno, groupid, company, gendertypeid) VALUES (5, NULL, 'Katka', 'katka', '2234', 'Sirotova', 'katka', '+421 905 677 533', 'sirotova@gmail.com', '4257', '542 145 54', '0963 788979', '1254', 'Siemens PSE', 2);
INSERT INTO employee (id, address, name, password, personalnumber, surname, login, phoneno, email, extensionno, faxno, mobileno, groupid, company, gendertypeid) VALUES (6, NULL, 'Roman', 'roman', '1007', 'Filkorn', 'roman', '+421 903 403 137', 'roman.filkorn@siemens.com', '4250', '542 145 50', '0963 788912', '1254', 'Siemens PSE', 1);


--
-- TOC entry 2038 (class 0 OID 20433)
-- Dependencies: 1580
-- Data for Name: employee_businesstrip; Type: TABLE DATA; Schema: public; Owner: -
--



--
-- TOC entry 2039 (class 0 OID 20436)
-- Dependencies: 1581
-- Data for Name: employee_hardwareequipment; Type: TABLE DATA; Schema: public; Owner: -
--



--
-- TOC entry 2040 (class 0 OID 20439)
-- Dependencies: 1582
-- Data for Name: employee_skill; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO employee_skill (employee_id, skills_id) VALUES (5, 1);
INSERT INTO employee_skill (employee_id, skills_id) VALUES (5, 2);


--
-- TOC entry 2036 (class 0 OID 20420)
-- Dependencies: 1578
-- Data for Name: employeeidentity; Type: TABLE DATA; Schema: public; Owner: -
--



--
-- TOC entry 2037 (class 0 OID 20428)
-- Dependencies: 1579
-- Data for Name: employeeskill; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO employeeskill (id, skillrelationshiptypeid, skillid, skillleveltypeid) VALUES (1, 1, 1, 2);
INSERT INTO employeeskill (id, skillrelationshiptypeid, skillid, skillleveltypeid) VALUES (2, 4, 2, 1);


--
-- TOC entry 2041 (class 0 OID 20444)
-- Dependencies: 1583
-- Data for Name: gendertype; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO gendertype (id, i18nkey) VALUES (1, 'codelist.gender.male');
INSERT INTO gendertype (id, i18nkey) VALUES (2, 'codelist.gender.female');


--
-- TOC entry 2042 (class 0 OID 20449)
-- Dependencies: 1584
-- Data for Name: hardwareequipment; Type: TABLE DATA; Schema: public; Owner: -
--



--
-- TOC entry 2043 (class 0 OID 20457)
-- Dependencies: 1585
-- Data for Name: hardwareequipmentchange; Type: TABLE DATA; Schema: public; Owner: -
--



--
-- TOC entry 2044 (class 0 OID 20465)
-- Dependencies: 1586
-- Data for Name: note; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO note (id, text, employeeid, projectid, projectassignmentid, authorid) VALUES (1, 'Text poznamky c. 1', NULL, 1, NULL, 3);
INSERT INTO note (id, text, employeeid, projectid, projectassignmentid, authorid) VALUES (2, 'Text poznamky c. 2', NULL, NULL, 1, 3);
INSERT INTO note (id, text, employeeid, projectid, projectassignmentid, authorid) VALUES (3, 'Text poznamky c. 3', NULL, 1, NULL, 3);
INSERT INTO note (id, text, employeeid, projectid, projectassignmentid, authorid) VALUES (4, 'Text poznamky c. 4', NULL, NULL, 2, 3);
INSERT INTO note (id, text, employeeid, projectid, projectassignmentid, authorid) VALUES (5, 'Text poznamky c. 5', NULL, 2, NULL, 3);
INSERT INTO note (id, text, employeeid, projectid, projectassignmentid, authorid) VALUES (6, 'Text poznamky c. 6', 1, NULL, NULL, 5);
INSERT INTO note (id, text, employeeid, projectid, projectassignmentid, authorid) VALUES (7, 'Text poznamky c. 7', 2, NULL, NULL, 5);
INSERT INTO note (id, text, employeeid, projectid, projectassignmentid, authorid) VALUES (8, 'Text poznamky c. 8', 3, NULL, NULL, 5);


--
-- TOC entry 2045 (class 0 OID 20470)
-- Dependencies: 1587
-- Data for Name: organizationunit; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO organizationunit (id, name, logindomain, unittypeid, superiorunitid) VALUES (3, 'Tretia org. jednotka', NULL, 2, NULL);
INSERT INTO organizationunit (id, name, logindomain, unittypeid, superiorunitid) VALUES (2, 'Druha org. jednotka', NULL, 1, 3);
INSERT INTO organizationunit (id, name, logindomain, unittypeid, superiorunitid) VALUES (1, 'Prva org. jednotka', NULL, 1, 2);


--
-- TOC entry 2046 (class 0 OID 20478)
-- Dependencies: 1588
-- Data for Name: organizationunittype; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO organizationunittype (id, label, virtual) VALUES (1, 'Standardna org. jednotka', false);
INSERT INTO organizationunittype (id, label, virtual) VALUES (2, 'Standardna org. jednotka (virtualna)', true);


--
-- TOC entry 2047 (class 0 OID 20483)
-- Dependencies: 1589
-- Data for Name: project; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO project (id, name, organizationunitid, customerid) VALUES (1, 'Prvy projekt', 1, 1);
INSERT INTO project (id, name, organizationunitid, customerid) VALUES (2, 'Druhy projekt', 2, 2);
INSERT INTO project (id, name, organizationunitid, customerid) VALUES (3, 'Treti projekt', 2, 3);
INSERT INTO project (id, name, organizationunitid, customerid) VALUES (4, 'Stvrty projekt', 2, 1);


--
-- TOC entry 2048 (class 0 OID 20488)
-- Dependencies: 1590
-- Data for Name: projectactivitydefinition; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO projectactivitydefinition (id, projectactivitytypeid, contractid) VALUES (1, 1, 1);
INSERT INTO projectactivitydefinition (id, projectactivitytypeid, contractid) VALUES (2, 2, 2);
INSERT INTO projectactivitydefinition (id, projectactivitytypeid, contractid) VALUES (3, 3, 3);
INSERT INTO projectactivitydefinition (id, projectactivitytypeid, contractid) VALUES (4, 4, 4);
INSERT INTO projectactivitydefinition (id, projectactivitytypeid, contractid) VALUES (5, 1, 5);
INSERT INTO projectactivitydefinition (id, projectactivitytypeid, contractid) VALUES (6, 2, 1);
INSERT INTO projectactivitydefinition (id, projectactivitytypeid, contractid) VALUES (7, 3, 2);
INSERT INTO projectactivitydefinition (id, projectactivitytypeid, contractid) VALUES (8, 4, 3);


--
-- TOC entry 2049 (class 0 OID 20493)
-- Dependencies: 1591
-- Data for Name: projectactivitytype; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO projectactivitytype (id, code) VALUES (1, 'PCHSP');
INSERT INTO projectactivitytype (id, code) VALUES (2, 'PCHSPI');
INSERT INTO projectactivitytype (id, code) VALUES (3, 'PIH1NI');
INSERT INTO projectactivitytype (id, code) VALUES (4, 'PLARB');


--
-- TOC entry 2050 (class 0 OID 20498)
-- Dependencies: 1592
-- Data for Name: projectassignment; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO projectassignment (id, dateto, datefrom, projectactivitydefinitionid, employeeid) VALUES (1, '2008-12-31 00:00:00', '2008-01-01 00:00:00', 1, 1);
INSERT INTO projectassignment (id, dateto, datefrom, projectactivitydefinitionid, employeeid) VALUES (2, '2009-12-31 00:00:00', '2007-01-01 00:00:00', 7, 2);
INSERT INTO projectassignment (id, dateto, datefrom, projectactivitydefinitionid, employeeid) VALUES (3, '2008-12-31 00:00:00', '2008-01-01 00:00:00', 3, 3);
INSERT INTO projectassignment (id, dateto, datefrom, projectactivitydefinitionid, employeeid) VALUES (4, '2007-12-31 00:00:00', '2007-01-01 00:00:00', 4, 4);
INSERT INTO projectassignment (id, dateto, datefrom, projectactivitydefinitionid, employeeid) VALUES (5, '2008-12-31 00:00:00', '2008-01-01 00:00:00', 5, 5);
INSERT INTO projectassignment (id, dateto, datefrom, projectactivitydefinitionid, employeeid) VALUES (6, '2007-12-31 00:00:00', '2007-01-01 00:00:00', 6, 6);
INSERT INTO projectassignment (id, dateto, datefrom, projectactivitydefinitionid, employeeid) VALUES (7, '2008-12-31 00:00:00', '2008-01-01 00:00:00', 7, 1);
INSERT INTO projectassignment (id, dateto, datefrom, projectactivitydefinitionid, employeeid) VALUES (8, '2007-12-31 00:00:00', '2007-01-01 00:00:00', 8, 5);
INSERT INTO projectassignment (id, dateto, datefrom, projectactivitydefinitionid, employeeid) VALUES (9, '2006-08-31 00:00:00', '2006-01-03 00:00:00', 8, 5);
INSERT INTO projectassignment (id, dateto, datefrom, projectactivitydefinitionid, employeeid) VALUES (10, '2007-06-30 00:00:00', '2007-03-01 00:00:00', 4, 5);
INSERT INTO projectassignment (id, dateto, datefrom, projectactivitydefinitionid, employeeid) VALUES (11, '2007-12-31 00:00:00', '2007-01-01 00:00:00', 2, 2);
INSERT INTO projectassignment (id, dateto, datefrom, projectactivitydefinitionid, employeeid) VALUES (12, '2009-12-31 00:00:00', '2007-01-01 00:00:00', 1, 2);


--
-- TOC entry 2051 (class 0 OID 20503)
-- Dependencies: 1593
-- Data for Name: role; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO role (id, type, dateto, datefrom, employeeid, organizationunitid) VALUES (1, 0, NULL, '2008-01-10 00:00:00', 1, 1);
INSERT INTO role (id, type, dateto, datefrom, employeeid, organizationunitid) VALUES (2, 0, NULL, '2008-01-17 00:00:00', 2, 1);
INSERT INTO role (id, type, dateto, datefrom, employeeid, organizationunitid) VALUES (3, 0, NULL, '2008-01-11 00:00:00', 3, 2);
INSERT INTO role (id, type, dateto, datefrom, employeeid, organizationunitid) VALUES (4, 0, NULL, '2008-01-10 00:00:00', 4, 2);
INSERT INTO role (id, type, dateto, datefrom, employeeid, organizationunitid) VALUES (5, 0, NULL, '2008-01-10 00:00:00', 5, 2);
INSERT INTO role (id, type, dateto, datefrom, employeeid, organizationunitid) VALUES (6, 0, NULL, '2006-01-10 00:00:00', 6, 3);
INSERT INTO role (id, type, dateto, datefrom, employeeid, organizationunitid) VALUES (7, 3, NULL, '2004-02-12 00:00:00', 3, 2);
INSERT INTO role (id, type, dateto, datefrom, employeeid, organizationunitid) VALUES (8, 2, NULL, '2006-08-19 00:00:00', 4, 3);
INSERT INTO role (id, type, dateto, datefrom, employeeid, organizationunitid) VALUES (9, 1, NULL, '2007-07-10 00:00:00', 5, 1);
INSERT INTO role (id, type, dateto, datefrom, employeeid, organizationunitid) VALUES (10, 1, '2005-04-04 00:00:00', '2002-08-08 00:00:00', 6, 3);


--
-- TOC entry 2052 (class 0 OID 20508)
-- Dependencies: 1594
-- Data for Name: room; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO room (id, label, organizationunitid) VALUES (1, 'Velka izba', 1);


--
-- TOC entry 2053 (class 0 OID 20513)
-- Dependencies: 1595
-- Data for Name: salary; Type: TABLE DATA; Schema: public; Owner: -
--



--
-- TOC entry 2054 (class 0 OID 20521)
-- Dependencies: 1596
-- Data for Name: salarychange; Type: TABLE DATA; Schema: public; Owner: -
--



--
-- TOC entry 2055 (class 0 OID 20526)
-- Dependencies: 1597
-- Data for Name: salarytype; Type: TABLE DATA; Schema: public; Owner: -
--



--
-- TOC entry 2056 (class 0 OID 20531)
-- Dependencies: 1598
-- Data for Name: skill; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO skill (id, name, categoryid) VALUES (1, 'Java 1.5', 1);
INSERT INTO skill (id, name, categoryid) VALUES (2, 'JBoss 4.2.2', 1);


--
-- TOC entry 2057 (class 0 OID 20536)
-- Dependencies: 1599
-- Data for Name: skillcategory; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO skillcategory (id, name) VALUES (1, 'Java');


--
-- TOC entry 2058 (class 0 OID 20541)
-- Dependencies: 1600
-- Data for Name: skillleveltype; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO skillleveltype (id, i18nkey) VALUES (1, 'codelist.skill.level.basic');
INSERT INTO skillleveltype (id, i18nkey) VALUES (2, 'codelist.skill.level.advanced');
INSERT INTO skillleveltype (id, i18nkey) VALUES (3, 'codelist.skill.level.expert');


--
-- TOC entry 2059 (class 0 OID 20546)
-- Dependencies: 1601
-- Data for Name: skillrelationshiptype; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO skillrelationshiptype (id, i18nkey) VALUES (1, 'codelist.skill.relationship.positive');
INSERT INTO skillrelationshiptype (id, i18nkey) VALUES (2, 'codelist.skill.relationship.neutral');
INSERT INTO skillrelationshiptype (id, i18nkey) VALUES (3, 'codelist.skill.relationship.negative');
INSERT INTO skillrelationshiptype (id, i18nkey) VALUES (4, 'codelist.skill.relationship.interested');


--
-- TOC entry 2060 (class 0 OID 20551)
-- Dependencies: 1602
-- Data for Name: specialrate; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO specialrate (id, value, dateto, datefrom, projectactivitydefinitionid) VALUES (1, 5.5, '2008-12-31 00:00:00', '2008-01-15 00:00:00', 1);


--
-- TOC entry 2061 (class 0 OID 20556)
-- Dependencies: 1603
-- Data for Name: standardrate; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO standardrate (id, value, datefrom, contractclassid, projectactivitytypeid) VALUES (1, 1, '2007-12-12 00:00:00', 1, 1);
INSERT INTO standardrate (id, value, datefrom, contractclassid, projectactivitytypeid) VALUES (2, 2, '2008-01-12 00:00:00', 2, 2);
INSERT INTO standardrate (id, value, datefrom, contractclassid, projectactivitytypeid) VALUES (3, 1.5, '2008-02-02 00:00:00', 3, 3);
INSERT INTO standardrate (id, value, datefrom, contractclassid, projectactivitytypeid) VALUES (4, 1.95, '2007-05-15 00:00:00', 4, 4);
INSERT INTO standardrate (id, value, datefrom, contractclassid, projectactivitytypeid) VALUES (5, 1, '2007-12-12 00:00:00', 5, 1);
INSERT INTO standardrate (id, value, datefrom, contractclassid, projectactivitytypeid) VALUES (6, 2, '2008-01-12 00:00:00', 6, 2);
INSERT INTO standardrate (id, value, datefrom, contractclassid, projectactivitytypeid) VALUES (7, 1.5, '2008-02-02 00:00:00', 7, 3);
INSERT INTO standardrate (id, value, datefrom, contractclassid, projectactivitytypeid) VALUES (8, 1.95, '2007-05-15 00:00:00', 8, 4);
INSERT INTO standardrate (id, value, datefrom, contractclassid, projectactivitytypeid) VALUES (9, 1.95, '2007-05-15 00:00:00', 9, 4);


--
-- TOC entry 2062 (class 0 OID 20561)
-- Dependencies: 1604
-- Data for Name: travelinsurance; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO travelinsurance (id, dateto, datefrom, company, employeeid) VALUES (1, '2009-01-10 00:00:00', '2008-01-10 00:00:00', 'Union', 5);
INSERT INTO travelinsurance (id, dateto, datefrom, company, employeeid) VALUES (2, '2009-02-10 00:00:00', '2008-02-10 00:00:00', 'Allianz', 1);


--
-- TOC entry 2063 (class 0 OID 20566)
-- Dependencies: 1605
-- Data for Name: workassignment; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO workassignment (id, normalhours, halfovertimehours, fullovertimehours, businessmonthid, projectactivitydefinitionid, activitytypeid, employeeid) VALUES (1, 130, 50, 10, 1, 1, 1, 1);
INSERT INTO workassignment (id, normalhours, halfovertimehours, fullovertimehours, businessmonthid, projectactivitydefinitionid, activitytypeid, employeeid) VALUES (2, 200, 0, 50, 2, 2, 1, 2);
INSERT INTO workassignment (id, normalhours, halfovertimehours, fullovertimehours, businessmonthid, projectactivitydefinitionid, activitytypeid, employeeid) VALUES (3, 180, 30, 10, 3, 3, 1, 3);
INSERT INTO workassignment (id, normalhours, halfovertimehours, fullovertimehours, businessmonthid, projectactivitydefinitionid, activitytypeid, employeeid) VALUES (4, 200, 20, 60, 4, 4, 1, 4);
INSERT INTO workassignment (id, normalhours, halfovertimehours, fullovertimehours, businessmonthid, projectactivitydefinitionid, activitytypeid, employeeid) VALUES (5, 200, 40, 90, 5, 5, 1, 5);
INSERT INTO workassignment (id, normalhours, halfovertimehours, fullovertimehours, businessmonthid, projectactivitydefinitionid, activitytypeid, employeeid) VALUES (6, 200, 80, 10, 6, 6, 1, 6);
INSERT INTO workassignment (id, normalhours, halfovertimehours, fullovertimehours, businessmonthid, projectactivitydefinitionid, activitytypeid, employeeid) VALUES (7, 200, 90, 40, 7, 7, 1, 1);
INSERT INTO workassignment (id, normalhours, halfovertimehours, fullovertimehours, businessmonthid, projectactivitydefinitionid, activitytypeid, employeeid) VALUES (8, 200, 10, 20, 8, 8, 1, 2);
INSERT INTO workassignment (id, normalhours, halfovertimehours, fullovertimehours, businessmonthid, projectactivitydefinitionid, activitytypeid, employeeid) VALUES (9, 200, 30, 0, 9, 1, 1, 3);
INSERT INTO workassignment (id, normalhours, halfovertimehours, fullovertimehours, businessmonthid, projectactivitydefinitionid, activitytypeid, employeeid) VALUES (10, 130, 50, 10, 1, 1, 2, 1);
INSERT INTO workassignment (id, normalhours, halfovertimehours, fullovertimehours, businessmonthid, projectactivitydefinitionid, activitytypeid, employeeid) VALUES (11, 200, 0, 50, 2, 2, 2, 2);
INSERT INTO workassignment (id, normalhours, halfovertimehours, fullovertimehours, businessmonthid, projectactivitydefinitionid, activitytypeid, employeeid) VALUES (12, 180, 30, 10, 3, 3, 2, 3);
INSERT INTO workassignment (id, normalhours, halfovertimehours, fullovertimehours, businessmonthid, projectactivitydefinitionid, activitytypeid, employeeid) VALUES (13, 200, 20, 60, 4, 4, 2, 4);
INSERT INTO workassignment (id, normalhours, halfovertimehours, fullovertimehours, businessmonthid, projectactivitydefinitionid, activitytypeid, employeeid) VALUES (14, 200, 40, 90, 5, 5, 2, 5);
INSERT INTO workassignment (id, normalhours, halfovertimehours, fullovertimehours, businessmonthid, projectactivitydefinitionid, activitytypeid, employeeid) VALUES (15, 200, 80, 10, 6, 6, 2, 6);
INSERT INTO workassignment (id, normalhours, halfovertimehours, fullovertimehours, businessmonthid, projectactivitydefinitionid, activitytypeid, employeeid) VALUES (16, 200, 90, 40, 7, 7, 2, 1);
INSERT INTO workassignment (id, normalhours, halfovertimehours, fullovertimehours, businessmonthid, projectactivitydefinitionid, activitytypeid, employeeid) VALUES (17, 200, 10, 20, 8, 8, 2, 2);
INSERT INTO workassignment (id, normalhours, halfovertimehours, fullovertimehours, businessmonthid, projectactivitydefinitionid, activitytypeid, employeeid) VALUES (18, 200, 30, 0, 9, 1, 2, 3);
INSERT INTO workassignment (id, normalhours, halfovertimehours, fullovertimehours, businessmonthid, projectactivitydefinitionid, activitytypeid, employeeid) VALUES (19, 130, 50, 10, 1, 1, 3, 1);
INSERT INTO workassignment (id, normalhours, halfovertimehours, fullovertimehours, businessmonthid, projectactivitydefinitionid, activitytypeid, employeeid) VALUES (20, 200, 0, 50, 2, 2, 3, 2);
INSERT INTO workassignment (id, normalhours, halfovertimehours, fullovertimehours, businessmonthid, projectactivitydefinitionid, activitytypeid, employeeid) VALUES (21, 180, 30, 10, 3, 3, 3, 3);
INSERT INTO workassignment (id, normalhours, halfovertimehours, fullovertimehours, businessmonthid, projectactivitydefinitionid, activitytypeid, employeeid) VALUES (22, 200, 20, 60, 4, 4, 3, 4);
INSERT INTO workassignment (id, normalhours, halfovertimehours, fullovertimehours, businessmonthid, projectactivitydefinitionid, activitytypeid, employeeid) VALUES (23, 200, 40, 90, 5, 5, 3, 5);
INSERT INTO workassignment (id, normalhours, halfovertimehours, fullovertimehours, businessmonthid, projectactivitydefinitionid, activitytypeid, employeeid) VALUES (24, 200, 80, 10, 6, 6, 3, 6);
INSERT INTO workassignment (id, normalhours, halfovertimehours, fullovertimehours, businessmonthid, projectactivitydefinitionid, activitytypeid, employeeid) VALUES (25, 200, 90, 40, 7, 7, 3, 1);
INSERT INTO workassignment (id, normalhours, halfovertimehours, fullovertimehours, businessmonthid, projectactivitydefinitionid, activitytypeid, employeeid) VALUES (26, 200, 10, 20, 8, 8, 3, 2);
INSERT INTO workassignment (id, normalhours, halfovertimehours, fullovertimehours, businessmonthid, projectactivitydefinitionid, activitytypeid, employeeid) VALUES (27, 200, 30, 0, 9, 1, 3, 3);


--
-- TOC entry 2064 (class 0 OID 20571)
-- Dependencies: 1606
-- Data for Name: workplace; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO workplace (id, description, note, label, removed, rent, capacity, roomid) VALUES (1, NULL, NULL, 'Usek jedna', false, 5, 10, 1);
INSERT INTO workplace (id, description, note, label, removed, rent, capacity, roomid) VALUES (2, NULL, NULL, 'Usek dva', false, 5, 10, 1);
INSERT INTO workplace (id, description, note, label, removed, rent, capacity, roomid) VALUES (3, NULL, NULL, 'Usek tri', false, 5, 10, 1);


--
-- TOC entry 2065 (class 0 OID 20579)
-- Dependencies: 1607
-- Data for Name: workplaceassignment; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO workplaceassignment (id, datefrom, workplaceid, employeeid) VALUES (1, '2008-01-01 00:00:00', 1, 5);
INSERT INTO workplaceassignment (id, datefrom, workplaceid, employeeid) VALUES (2, '2008-01-03 00:00:00', 2, 5);
INSERT INTO workplaceassignment (id, datefrom, workplaceid, employeeid) VALUES (3, '2008-02-01 00:00:00', 3, 5);


--
-- TOC entry 1877 (class 2606 OID 20340)
-- Dependencies: 1563 1563
-- Name: activity_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY activity
    ADD CONSTRAINT activity_pkey PRIMARY KEY (id);


--
-- TOC entry 1879 (class 2606 OID 20345)
-- Dependencies: 1564 1564
-- Name: activitytype_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY activitytype
    ADD CONSTRAINT activitytype_pkey PRIMARY KEY (id);


--
-- TOC entry 1881 (class 2606 OID 20350)
-- Dependencies: 1565 1565
-- Name: attendanceentry_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY attendanceentry
    ADD CONSTRAINT attendanceentry_pkey PRIMARY KEY (id);


--
-- TOC entry 1883 (class 2606 OID 20355)
-- Dependencies: 1566 1566
-- Name: attendancemonth_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY attendancemonth
    ADD CONSTRAINT attendancemonth_pkey PRIMARY KEY (id);


--
-- TOC entry 1885 (class 2606 OID 20360)
-- Dependencies: 1567 1567
-- Name: businessmonth_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY businessmonth
    ADD CONSTRAINT businessmonth_pkey PRIMARY KEY (id);


--
-- TOC entry 1887 (class 2606 OID 20368)
-- Dependencies: 1568 1568
-- Name: businesstrip_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY businesstrip
    ADD CONSTRAINT businesstrip_pkey PRIMARY KEY (id);


--
-- TOC entry 1889 (class 2606 OID 20373)
-- Dependencies: 1569 1569
-- Name: contract_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY contract
    ADD CONSTRAINT contract_pkey PRIMARY KEY (id);


--
-- TOC entry 1891 (class 2606 OID 20378)
-- Dependencies: 1570 1570
-- Name: contractclass_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY contractclass
    ADD CONSTRAINT contractclass_pkey PRIMARY KEY (id);


--
-- TOC entry 1893 (class 2606 OID 20383)
-- Dependencies: 1571 1571
-- Name: costsdepartment_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY costsdepartment
    ADD CONSTRAINT costsdepartment_pkey PRIMARY KEY (id);


--
-- TOC entry 1895 (class 2606 OID 20388)
-- Dependencies: 1572 1572
-- Name: costsdepartmentchange_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY costsdepartmentchange
    ADD CONSTRAINT costsdepartmentchange_pkey PRIMARY KEY (id);


--
-- TOC entry 1897 (class 2606 OID 20393)
-- Dependencies: 1573 1573
-- Name: country_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY country
    ADD CONSTRAINT country_pkey PRIMARY KEY (id);


--
-- TOC entry 1899 (class 2606 OID 20398)
-- Dependencies: 1574 1574
-- Name: customer_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY customer
    ADD CONSTRAINT customer_pkey PRIMARY KEY (id);


--
-- TOC entry 1901 (class 2606 OID 20406)
-- Dependencies: 1575 1575
-- Name: document_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY document
    ADD CONSTRAINT document_pkey PRIMARY KEY (id);


--
-- TOC entry 1903 (class 2606 OID 20411)
-- Dependencies: 1576 1576
-- Name: documenttype_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY documenttype
    ADD CONSTRAINT documenttype_pkey PRIMARY KEY (id);


--
-- TOC entry 1905 (class 2606 OID 20419)
-- Dependencies: 1577 1577
-- Name: employee_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY employee
    ADD CONSTRAINT employee_pkey PRIMARY KEY (id);


--
-- TOC entry 1911 (class 2606 OID 20443)
-- Dependencies: 1582 1582
-- Name: employee_skill_skills_id_key; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY employee_skill
    ADD CONSTRAINT employee_skill_skills_id_key UNIQUE (skills_id);


--
-- TOC entry 1907 (class 2606 OID 20427)
-- Dependencies: 1578 1578
-- Name: employeeidentity_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY employeeidentity
    ADD CONSTRAINT employeeidentity_pkey PRIMARY KEY (id);


--
-- TOC entry 1909 (class 2606 OID 20432)
-- Dependencies: 1579 1579
-- Name: employeeskill_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY employeeskill
    ADD CONSTRAINT employeeskill_pkey PRIMARY KEY (id);


--
-- TOC entry 1913 (class 2606 OID 20448)
-- Dependencies: 1583 1583
-- Name: gendertype_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY gendertype
    ADD CONSTRAINT gendertype_pkey PRIMARY KEY (id);


--
-- TOC entry 1915 (class 2606 OID 20456)
-- Dependencies: 1584 1584
-- Name: hardwareequipment_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY hardwareequipment
    ADD CONSTRAINT hardwareequipment_pkey PRIMARY KEY (id);


--
-- TOC entry 1917 (class 2606 OID 20464)
-- Dependencies: 1585 1585
-- Name: hardwareequipmentchange_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY hardwareequipmentchange
    ADD CONSTRAINT hardwareequipmentchange_pkey PRIMARY KEY (id);


--
-- TOC entry 1919 (class 2606 OID 20469)
-- Dependencies: 1586 1586
-- Name: note_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY note
    ADD CONSTRAINT note_pkey PRIMARY KEY (id);


--
-- TOC entry 1921 (class 2606 OID 20477)
-- Dependencies: 1587 1587
-- Name: organizationunit_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY organizationunit
    ADD CONSTRAINT organizationunit_pkey PRIMARY KEY (id);


--
-- TOC entry 1923 (class 2606 OID 20482)
-- Dependencies: 1588 1588
-- Name: organizationunittype_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY organizationunittype
    ADD CONSTRAINT organizationunittype_pkey PRIMARY KEY (id);


--
-- TOC entry 1925 (class 2606 OID 20487)
-- Dependencies: 1589 1589
-- Name: project_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY project
    ADD CONSTRAINT project_pkey PRIMARY KEY (id);


--
-- TOC entry 1927 (class 2606 OID 20492)
-- Dependencies: 1590 1590
-- Name: projectactivitydefinition_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY projectactivitydefinition
    ADD CONSTRAINT projectactivitydefinition_pkey PRIMARY KEY (id);


--
-- TOC entry 1929 (class 2606 OID 20497)
-- Dependencies: 1591 1591
-- Name: projectactivitytype_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY projectactivitytype
    ADD CONSTRAINT projectactivitytype_pkey PRIMARY KEY (id);


--
-- TOC entry 1931 (class 2606 OID 20502)
-- Dependencies: 1592 1592
-- Name: projectassignment_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY projectassignment
    ADD CONSTRAINT projectassignment_pkey PRIMARY KEY (id);


--
-- TOC entry 1933 (class 2606 OID 20507)
-- Dependencies: 1593 1593
-- Name: role_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY role
    ADD CONSTRAINT role_pkey PRIMARY KEY (id);


--
-- TOC entry 1935 (class 2606 OID 20512)
-- Dependencies: 1594 1594
-- Name: room_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY room
    ADD CONSTRAINT room_pkey PRIMARY KEY (id);


--
-- TOC entry 1937 (class 2606 OID 20520)
-- Dependencies: 1595 1595
-- Name: salary_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY salary
    ADD CONSTRAINT salary_pkey PRIMARY KEY (id);


--
-- TOC entry 1939 (class 2606 OID 20525)
-- Dependencies: 1596 1596
-- Name: salarychange_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY salarychange
    ADD CONSTRAINT salarychange_pkey PRIMARY KEY (id);


--
-- TOC entry 1941 (class 2606 OID 20530)
-- Dependencies: 1597 1597
-- Name: salarytype_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY salarytype
    ADD CONSTRAINT salarytype_pkey PRIMARY KEY (id);


--
-- TOC entry 1943 (class 2606 OID 20535)
-- Dependencies: 1598 1598
-- Name: skill_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY skill
    ADD CONSTRAINT skill_pkey PRIMARY KEY (id);


--
-- TOC entry 1945 (class 2606 OID 20540)
-- Dependencies: 1599 1599
-- Name: skillcategory_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY skillcategory
    ADD CONSTRAINT skillcategory_pkey PRIMARY KEY (id);


--
-- TOC entry 1947 (class 2606 OID 20545)
-- Dependencies: 1600 1600
-- Name: skillleveltype_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY skillleveltype
    ADD CONSTRAINT skillleveltype_pkey PRIMARY KEY (id);


--
-- TOC entry 1949 (class 2606 OID 20550)
-- Dependencies: 1601 1601
-- Name: skillrelationshiptype_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY skillrelationshiptype
    ADD CONSTRAINT skillrelationshiptype_pkey PRIMARY KEY (id);


--
-- TOC entry 1951 (class 2606 OID 20555)
-- Dependencies: 1602 1602
-- Name: specialrate_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY specialrate
    ADD CONSTRAINT specialrate_pkey PRIMARY KEY (id);


--
-- TOC entry 1953 (class 2606 OID 20560)
-- Dependencies: 1603 1603
-- Name: standardrate_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY standardrate
    ADD CONSTRAINT standardrate_pkey PRIMARY KEY (id);


--
-- TOC entry 1955 (class 2606 OID 20565)
-- Dependencies: 1604 1604
-- Name: travelinsurance_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY travelinsurance
    ADD CONSTRAINT travelinsurance_pkey PRIMARY KEY (id);


--
-- TOC entry 1957 (class 2606 OID 20570)
-- Dependencies: 1605 1605
-- Name: workassignment_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY workassignment
    ADD CONSTRAINT workassignment_pkey PRIMARY KEY (id);


--
-- TOC entry 1959 (class 2606 OID 20578)
-- Dependencies: 1606 1606
-- Name: workplace_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY workplace
    ADD CONSTRAINT workplace_pkey PRIMARY KEY (id);


--
-- TOC entry 1961 (class 2606 OID 20583)
-- Dependencies: 1607 1607
-- Name: workplaceassignment_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY workplaceassignment
    ADD CONSTRAINT workplaceassignment_pkey PRIMARY KEY (id);


--
-- TOC entry 1977 (class 2606 OID 20659)
-- Dependencies: 1577 1904 1578
-- Name: fk10e771acf1fc64e4; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY employeeidentity
    ADD CONSTRAINT fk10e771acf1fc64e4 FOREIGN KEY (employeeid) REFERENCES employee(id);


--
-- TOC entry 1986 (class 2606 OID 20704)
-- Dependencies: 1582 1904 1577
-- Name: fk1e81b5801e7448e7; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY employee_skill
    ADD CONSTRAINT fk1e81b5801e7448e7 FOREIGN KEY (employee_id) REFERENCES employee(id);


--
-- TOC entry 1985 (class 2606 OID 20699)
-- Dependencies: 1908 1582 1579
-- Name: fk1e81b580bc2ffffc; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY employee_skill
    ADD CONSTRAINT fk1e81b580bc2ffffc FOREIGN KEY (skills_id) REFERENCES employeeskill(id);


--
-- TOC entry 1992 (class 2606 OID 20734)
-- Dependencies: 1586 1577 1904
-- Name: fk2524123d635c81; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY note
    ADD CONSTRAINT fk2524123d635c81 FOREIGN KEY (authorid) REFERENCES employee(id);


--
-- TOC entry 1990 (class 2606 OID 20724)
-- Dependencies: 1586 1930 1592
-- Name: fk252412d6b19500; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY note
    ADD CONSTRAINT fk252412d6b19500 FOREIGN KEY (projectassignmentid) REFERENCES projectassignment(id);


--
-- TOC entry 1991 (class 2606 OID 20729)
-- Dependencies: 1924 1586 1589
-- Name: fk252412f005e446; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY note
    ADD CONSTRAINT fk252412f005e446 FOREIGN KEY (projectid) REFERENCES project(id);


--
-- TOC entry 1989 (class 2606 OID 20719)
-- Dependencies: 1586 1577 1904
-- Name: fk252412f1fc64e4; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY note
    ADD CONSTRAINT fk252412f1fc64e4 FOREIGN KEY (employeeid) REFERENCES employee(id);


--
-- TOC entry 2001 (class 2606 OID 20779)
-- Dependencies: 1593 1587 1920
-- Name: fk26f4963c443ad6; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY role
    ADD CONSTRAINT fk26f4963c443ad6 FOREIGN KEY (organizationunitid) REFERENCES organizationunit(id);


--
-- TOC entry 2002 (class 2606 OID 20784)
-- Dependencies: 1593 1577 1904
-- Name: fk26f496f1fc64e4; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY role
    ADD CONSTRAINT fk26f496f1fc64e4 FOREIGN KEY (employeeid) REFERENCES employee(id);


--
-- TOC entry 2003 (class 2606 OID 20789)
-- Dependencies: 1594 1587 1920
-- Name: fk26f4fb3c443ad6; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY room
    ADD CONSTRAINT fk26f4fb3c443ad6 FOREIGN KEY (organizationunitid) REFERENCES organizationunit(id);


--
-- TOC entry 2009 (class 2606 OID 20819)
-- Dependencies: 1590 1926 1602
-- Name: fk2f68a51912f00a8a; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY specialrate
    ADD CONSTRAINT fk2f68a51912f00a8a FOREIGN KEY (projectactivitydefinitionid) REFERENCES projectactivitydefinition(id);


--
-- TOC entry 1975 (class 2606 OID 20649)
-- Dependencies: 1902 1575 1576
-- Name: fk3737353b5adf9512; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY document
    ADD CONSTRAINT fk3737353b5adf9512 FOREIGN KEY (documenttypeid) REFERENCES documenttype(id);


--
-- TOC entry 1974 (class 2606 OID 20644)
-- Dependencies: 1904 1577 1575
-- Name: fk3737353bf1fc64e4; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY document
    ADD CONSTRAINT fk3737353bf1fc64e4 FOREIGN KEY (employeeid) REFERENCES employee(id);


--
-- TOC entry 2012 (class 2606 OID 20834)
-- Dependencies: 1604 1577 1904
-- Name: fk454d5cc0f1fc64e4; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY travelinsurance
    ADD CONSTRAINT fk454d5cc0f1fc64e4 FOREIGN KEY (employeeid) REFERENCES employee(id);


--
-- TOC entry 1976 (class 2606 OID 20654)
-- Dependencies: 1912 1583 1577
-- Name: fk4afd4ace999d381e; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY employee
    ADD CONSTRAINT fk4afd4ace999d381e FOREIGN KEY (gendertypeid) REFERENCES gendertype(id);


--
-- TOC entry 2008 (class 2606 OID 20814)
-- Dependencies: 1598 1599 1944
-- Name: fk4c3da311cefaa89; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY skill
    ADD CONSTRAINT fk4c3da311cefaa89 FOREIGN KEY (categoryid) REFERENCES skillcategory(id);


--
-- TOC entry 1995 (class 2606 OID 20749)
-- Dependencies: 1920 1587 1589
-- Name: fk50c8e2f93c443ad6; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY project
    ADD CONSTRAINT fk50c8e2f93c443ad6 FOREIGN KEY (organizationunitid) REFERENCES organizationunit(id);


--
-- TOC entry 1996 (class 2606 OID 20754)
-- Dependencies: 1898 1589 1574
-- Name: fk50c8e2f9878b513e; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY project
    ADD CONSTRAINT fk50c8e2f9878b513e FOREIGN KEY (customerid) REFERENCES customer(id);


--
-- TOC entry 1998 (class 2606 OID 20764)
-- Dependencies: 1590 1591 1928
-- Name: fk568af09b3f757b58; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY projectactivitydefinition
    ADD CONSTRAINT fk568af09b3f757b58 FOREIGN KEY (projectactivitytypeid) REFERENCES projectactivitytype(id);


--
-- TOC entry 1997 (class 2606 OID 20759)
-- Dependencies: 1888 1590 1569
-- Name: fk568af09bc512f6a6; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY projectactivitydefinition
    ADD CONSTRAINT fk568af09bc512f6a6 FOREIGN KEY (contractid) REFERENCES contract(id);


--
-- TOC entry 1993 (class 2606 OID 20739)
-- Dependencies: 1922 1587 1588
-- Name: fk60c1ad77275847f7; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY organizationunit
    ADD CONSTRAINT fk60c1ad77275847f7 FOREIGN KEY (unittypeid) REFERENCES organizationunittype(id);


--
-- TOC entry 1994 (class 2606 OID 20744)
-- Dependencies: 1587 1587 1920
-- Name: fk60c1ad77d0ac69d4; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY organizationunit
    ADD CONSTRAINT fk60c1ad77d0ac69d4 FOREIGN KEY (superiorunitid) REFERENCES organizationunit(id);


--
-- TOC entry 2000 (class 2606 OID 20774)
-- Dependencies: 1592 1590 1926
-- Name: fk6305a2a612f00a8a; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY projectassignment
    ADD CONSTRAINT fk6305a2a612f00a8a FOREIGN KEY (projectactivitydefinitionid) REFERENCES projectactivitydefinition(id);


--
-- TOC entry 1999 (class 2606 OID 20769)
-- Dependencies: 1577 1904 1592
-- Name: fk6305a2a6f1fc64e4; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY projectassignment
    ADD CONSTRAINT fk6305a2a6f1fc64e4 FOREIGN KEY (employeeid) REFERENCES employee(id);


--
-- TOC entry 1972 (class 2606 OID 20634)
-- Dependencies: 1920 1572 1587
-- Name: fk76768fe83c443ad6; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY costsdepartmentchange
    ADD CONSTRAINT fk76768fe83c443ad6 FOREIGN KEY (organizationunitid) REFERENCES organizationunit(id);


--
-- TOC entry 1973 (class 2606 OID 20639)
-- Dependencies: 1892 1572 1571
-- Name: fk76768fe8534d0cde; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY costsdepartmentchange
    ADD CONSTRAINT fk76768fe8534d0cde FOREIGN KEY (costsdepartmentid) REFERENCES costsdepartment(id);


--
-- TOC entry 1982 (class 2606 OID 20684)
-- Dependencies: 1904 1577 1580
-- Name: fk7934b9f68101fcb0; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY employee_businesstrip
    ADD CONSTRAINT fk7934b9f68101fcb0 FOREIGN KEY (employees_id) REFERENCES employee(id);


--
-- TOC entry 1981 (class 2606 OID 20679)
-- Dependencies: 1886 1580 1568
-- Name: fk7934b9f6ea28387e; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY employee_businesstrip
    ADD CONSTRAINT fk7934b9f6ea28387e FOREIGN KEY (businesstrips_id) REFERENCES businesstrip(id);


--
-- TOC entry 2016 (class 2606 OID 20854)
-- Dependencies: 1926 1605 1590
-- Name: fk89df14de12f00a8a; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY workassignment
    ADD CONSTRAINT fk89df14de12f00a8a FOREIGN KEY (projectactivitydefinitionid) REFERENCES projectactivitydefinition(id);


--
-- TOC entry 2015 (class 2606 OID 20849)
-- Dependencies: 1878 1564 1605
-- Name: fk89df14dee9458a25; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY workassignment
    ADD CONSTRAINT fk89df14dee9458a25 FOREIGN KEY (activitytypeid) REFERENCES activitytype(id);


--
-- TOC entry 2014 (class 2606 OID 20844)
-- Dependencies: 1605 1567 1884
-- Name: fk89df14deeffd43e3; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY workassignment
    ADD CONSTRAINT fk89df14deeffd43e3 FOREIGN KEY (businessmonthid) REFERENCES businessmonth(id);


--
-- TOC entry 2013 (class 2606 OID 20839)
-- Dependencies: 1904 1605 1577
-- Name: fk89df14def1fc64e4; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY workassignment
    ADD CONSTRAINT fk89df14def1fc64e4 FOREIGN KEY (employeeid) REFERENCES employee(id);


--
-- TOC entry 2005 (class 2606 OID 20799)
-- Dependencies: 1595 1597 1940
-- Name: fk932bb5ea1629363c; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY salary
    ADD CONSTRAINT fk932bb5ea1629363c FOREIGN KEY (salarytypeid) REFERENCES salarytype(id);


--
-- TOC entry 2004 (class 2606 OID 20794)
-- Dependencies: 1595 1577 1904
-- Name: fk932bb5eaf1fc64e4; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY salary
    ADD CONSTRAINT fk932bb5eaf1fc64e4 FOREIGN KEY (employeeid) REFERENCES employee(id);


--
-- TOC entry 1964 (class 2606 OID 20594)
-- Dependencies: 1590 1563 1926
-- Name: fka126572f12f00a8a; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY activity
    ADD CONSTRAINT fka126572f12f00a8a FOREIGN KEY (projectactivitydefinitionid) REFERENCES projectactivitydefinition(id);


--
-- TOC entry 1963 (class 2606 OID 20589)
-- Dependencies: 1565 1880 1563
-- Name: fka126572f2587bc75; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY activity
    ADD CONSTRAINT fka126572f2587bc75 FOREIGN KEY (attendanceentryid) REFERENCES attendanceentry(id);


--
-- TOC entry 1962 (class 2606 OID 20584)
-- Dependencies: 1563 1564 1878
-- Name: fka126572fe9458a25; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY activity
    ADD CONSTRAINT fka126572fe9458a25 FOREIGN KEY (activitytypeid) REFERENCES activitytype(id);


--
-- TOC entry 1965 (class 2606 OID 20599)
-- Dependencies: 1904 1565 1577
-- Name: fka2b156e9f1fc64e4; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY attendanceentry
    ADD CONSTRAINT fka2b156e9f1fc64e4 FOREIGN KEY (employeeid) REFERENCES employee(id);


--
-- TOC entry 2011 (class 2606 OID 20829)
-- Dependencies: 1603 1591 1928
-- Name: fka2d78d5d3f757b58; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY standardrate
    ADD CONSTRAINT fka2d78d5d3f757b58 FOREIGN KEY (projectactivitytypeid) REFERENCES projectactivitytype(id);


--
-- TOC entry 2010 (class 2606 OID 20824)
-- Dependencies: 1603 1570 1890
-- Name: fka2d78d5d534c4740; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY standardrate
    ADD CONSTRAINT fka2d78d5d534c4740 FOREIGN KEY (contractclassid) REFERENCES contractclass(id);


--
-- TOC entry 1966 (class 2606 OID 20604)
-- Dependencies: 1904 1566 1577
-- Name: fka32270f7f1fc64e4; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY attendancemonth
    ADD CONSTRAINT fka32270f7f1fc64e4 FOREIGN KEY (employeeid) REFERENCES employee(id);


--
-- TOC entry 1984 (class 2606 OID 20694)
-- Dependencies: 1904 1577 1581
-- Name: fkad42e1358101fcb0; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY employee_hardwareequipment
    ADD CONSTRAINT fkad42e1358101fcb0 FOREIGN KEY (employees_id) REFERENCES employee(id);


--
-- TOC entry 1983 (class 2606 OID 20689)
-- Dependencies: 1581 1914 1584
-- Name: fkad42e135df5fc5c1; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY employee_hardwareequipment
    ADD CONSTRAINT fkad42e135df5fc5c1 FOREIGN KEY (hardwareequipment_id) REFERENCES hardwareequipment(id);


--
-- TOC entry 1979 (class 2606 OID 20669)
-- Dependencies: 1948 1601 1579
-- Name: fkb60b20233fb4d0a2; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY employeeskill
    ADD CONSTRAINT fkb60b20233fb4d0a2 FOREIGN KEY (skillrelationshiptypeid) REFERENCES skillrelationshiptype(id);


--
-- TOC entry 1980 (class 2606 OID 20674)
-- Dependencies: 1579 1946 1600
-- Name: fkb60b20236d841794; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY employeeskill
    ADD CONSTRAINT fkb60b20236d841794 FOREIGN KEY (skillleveltypeid) REFERENCES skillleveltype(id);


--
-- TOC entry 1978 (class 2606 OID 20664)
-- Dependencies: 1579 1942 1598
-- Name: fkb60b2023ec1d7ffe; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY employeeskill
    ADD CONSTRAINT fkb60b2023ec1d7ffe FOREIGN KEY (skillid) REFERENCES skill(id);


--
-- TOC entry 2019 (class 2606 OID 20869)
-- Dependencies: 1607 1606 1958
-- Name: fkb8e4bbe34ade08e3; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY workplaceassignment
    ADD CONSTRAINT fkb8e4bbe34ade08e3 FOREIGN KEY (workplaceid) REFERENCES workplace(id);


--
-- TOC entry 2018 (class 2606 OID 20864)
-- Dependencies: 1577 1904 1607
-- Name: fkb8e4bbe3f1fc64e4; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY workplaceassignment
    ADD CONSTRAINT fkb8e4bbe3f1fc64e4 FOREIGN KEY (employeeid) REFERENCES employee(id);


--
-- TOC entry 2017 (class 2606 OID 20859)
-- Dependencies: 1934 1606 1594
-- Name: fkb95df4762cc08275; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY workplace
    ADD CONSTRAINT fkb95df4762cc08275 FOREIGN KEY (roomid) REFERENCES room(id);


--
-- TOC entry 1988 (class 2606 OID 20714)
-- Dependencies: 1914 1585 1584
-- Name: fkbc0b1fb67d1b9b70; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY hardwareequipmentchange
    ADD CONSTRAINT fkbc0b1fb67d1b9b70 FOREIGN KEY (hardwareid) REFERENCES hardwareequipment(id);


--
-- TOC entry 1987 (class 2606 OID 20709)
-- Dependencies: 1585 1577 1904
-- Name: fkbc0b1fb6f1fc64e4; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY hardwareequipmentchange
    ADD CONSTRAINT fkbc0b1fb6f1fc64e4 FOREIGN KEY (employeeid) REFERENCES employee(id);


--
-- TOC entry 2007 (class 2606 OID 20809)
-- Dependencies: 1596 1595 1936
-- Name: fke17e1e3abc6c18a8; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY salarychange
    ADD CONSTRAINT fke17e1e3abc6c18a8 FOREIGN KEY (salaryid) REFERENCES salary(id);


--
-- TOC entry 2006 (class 2606 OID 20804)
-- Dependencies: 1596 1577 1904
-- Name: fke17e1e3af1fc64e4; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY salarychange
    ADD CONSTRAINT fke17e1e3af1fc64e4 FOREIGN KEY (employeeid) REFERENCES employee(id);


--
-- TOC entry 1967 (class 2606 OID 20609)
-- Dependencies: 1568 1569 1888
-- Name: fke1b21c25c512f6a6; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY businesstrip
    ADD CONSTRAINT fke1b21c25c512f6a6 FOREIGN KEY (contractid) REFERENCES contract(id);


--
-- TOC entry 1968 (class 2606 OID 20614)
-- Dependencies: 1568 1573 1896
-- Name: fke1b21c25f36b17fa; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY businesstrip
    ADD CONSTRAINT fke1b21c25f36b17fa FOREIGN KEY (countryid) REFERENCES country(id);


--
-- TOC entry 1969 (class 2606 OID 20619)
-- Dependencies: 1569 1587 1920
-- Name: fke20f75323c443ad6; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY contract
    ADD CONSTRAINT fke20f75323c443ad6 FOREIGN KEY (organizationunitid) REFERENCES organizationunit(id);


--
-- TOC entry 1971 (class 2606 OID 20629)
-- Dependencies: 1569 1890 1570
-- Name: fke20f7532534c4740; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY contract
    ADD CONSTRAINT fke20f7532534c4740 FOREIGN KEY (contractclassid) REFERENCES contractclass(id);


--
-- TOC entry 1970 (class 2606 OID 20624)
-- Dependencies: 1569 1589 1924
-- Name: fke20f7532f005e446; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY contract
    ADD CONSTRAINT fke20f7532f005e446 FOREIGN KEY (projectid) REFERENCES project(id);


--
-- TOC entry 2070 (class 0 OID 0)
-- Dependencies: 6
-- Name: public; Type: ACL; Schema: -; Owner: -
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


-- Completed on 2008-05-13 19:43:37 CEST

--
-- PostgreSQL database dump complete
--

